## BtPatternPropertiesDialog BtPatternPropertiesDialog — pattern settings |

## Functions

BtPatternPropertiesDialog * | bt_pattern_properties_dialog_new ()
void | bt_pattern_properties_dialog_apply ()

## Properties

gulong | length | Read
gchar * | name | Read
BtPattern * | pattern | Write / Construct Only
gulong | voices | Read

## Types and Values

struct | BtPatternPropertiesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtPatternPropertiesDialog

## Implemented Interfaces

BtPatternPropertiesDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to (re)configure a BtPattern.

## Functions

### bt_pattern_properties_dialog_new ()

    BtPatternPropertiesDialog *
    bt_pattern_properties_dialog_new (const BtPattern *pattern);

Create a new instance

#### Parameters

pattern | the pattern for which to create the dialog for |

#### Returns

the new instance

### bt_pattern_properties_dialog_apply ()

    void
    bt_pattern_properties_dialog_apply (const BtPatternPropertiesDialog *self);

Makes the dialog settings effective.

#### Parameters

self | the dialog which settings to apply |

## Types and Values

### struct BtPatternPropertiesDialog

    struct BtPatternPropertiesDialog;

the pattern settings dialog

## Property Details

### The `“length”` property

      “length”                   gulong

length of the pattern in ticks.

Flags: Read

Allowed values: >= 1

### The `“name”` property

      “name”                     gchar *

the display-name of the pattern.

Flags: Read

Default value: "unamed"

### The `“pattern”` property

      “pattern”                  BtPattern *

Set pattern object, the dialog handles.

Flags: Write / Construct Only

### The `“voices”` property

      “voices”                   gulong

number of voices in the pattern.

Flags: Read